function println(message) {
    server.consoleSender.sendMessage(message)
}

// 根据 1~100 的评级规则返回评级颜色
function getColor(value) {
    var color = "r";
    // LEVEL 1
    if (value < 25) color = "c";
    // LEVEL 2
    else if (value < 50) color = "e";
    // LEVEL 3
    else if (value <= 100) color = "a";
    return color;
}

function bar_progress(value) {
    if (value < 0) value = 0;
    if (value > 100) value = 100;
    value = parseFloat(value);
    var color = getColor(value);
    var ret = "";
    for (var i = 1; i <= 10; i++) {
        if (i * 10 <= value) ret += ("&" + color + "&l|");
        else ret += ("&7&l|");
    }
    return ret;
}